﻿/**Begin D:\PDM_UPGRADE\PDM1\PBS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PBS_FLOWDEFNODE' AND KSQL_COL_NAME ='FNODETYPEID') 
 ALTER TABLE T_PBS_FLOWDEFNODE ADD (FNODETYPEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PBS_FLOWDEFNODE' AND KSQL_COL_NAME ='FCROSSSCORE') 
 ALTER TABLE T_PBS_FLOWDEFNODE ADD (FCROSSSCORE CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PBS_FLOWDEFNODE' AND KSQL_COL_NAME ='FSUPPORTTOTALSCORE') 
 ALTER TABLE T_PBS_FLOWDEFNODE ADD (FSUPPORTTOTALSCORE CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PBS_FLOWDEFNODE' AND KSQL_COL_NAME ='FISCOPY') 
 ALTER TABLE T_PBS_FLOWDEFNODE ADD (FISCOPY CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PBS_FLOWDEFNODE' AND KSQL_COL_NAME ='FCOPYPERSONID') 
 ALTER TABLE T_PBS_FLOWDEFNODE ADD (FCOPYPERSONID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PBS_FLOWDEFNODE' AND KSQL_COL_NAME ='FCOPYAPPOINTPERSONID') 
 ALTER TABLE T_PBS_FLOWDEFNODE ADD (FCOPYAPPOINTPERSONID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PBS_FLOWDEFNODE' AND KSQL_COL_NAME ='FMANUALOP') 
 ALTER TABLE T_PBS_FLOWDEFNODE ADD (FMANUALOP CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PBS_FLOWDEFNODE' AND KSQL_COL_NAME ='FHANDLERTYPEID') 
 ALTER TABLE T_PBS_FLOWDEFNODE ADD (FHANDLERTYPEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PBS_FLOWDEFPROC' AND KSQL_COL_NAME ='FFLOWTYPE') 
 ALTER TABLE T_PBS_FLOWDEFPROC ADD (FFLOWTYPE VARCHAR(2) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PBS_FLOWDEFROLE' AND KSQL_COL_NAME ='FTURNOVERSORT') 
 ALTER TABLE T_PBS_FLOWDEFROLE ADD (FTURNOVERSORT INT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PBS_FLOWDEFROLE' AND KSQL_COL_NAME ='FEVAVIEWPERM') 
 ALTER TABLE T_PBS_FLOWDEFROLE ADD (FEVAVIEWPERM VARCHAR(2) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PBS_FLOWDEFROLE' AND KSQL_COL_NAME ='FISHIDEEVANAME') 
 ALTER TABLE T_PBS_FLOWDEFROLE ADD (FISHIDEEVANAME CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PBS_FLOWDEFROLE' AND KSQL_COL_NAME ='FROLETYPEID') 
 ALTER TABLE T_PBS_FLOWDEFROLE ADD (FROLETYPEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PBS_WORKFLOW' AND KSQL_COL_NAME ='FWORKFLOWTYPE') 
 ALTER TABLE T_PBS_WORKFLOW ADD (FWORKFLOWTYPE VARCHAR(2) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PBS_NODETYPE_L') 
 CREATE TABLE T_PBS_NODETYPE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PBS_NODETYPE') 
 CREATE TABLE T_PBS_NODETYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FPASSESSNODEID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PBS_FLOWRUPROC_L' AND KSQL_COL_NAME ='FREMARK') 
 ALTER TABLE T_PBS_FLOWRUPROC_L ADD (FREMARK NVARCHAR(2000) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PBS_FLOWRUROLE' AND KSQL_COL_NAME ='FROLETYPEID') 
 ALTER TABLE T_PBS_FLOWRUROLE ADD (FROLETYPEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PBS_FLOWRUROLE' AND KSQL_COL_NAME ='FTURNOVERSORT') 
 ALTER TABLE T_PBS_FLOWRUROLE ADD (FTURNOVERSORT INT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PBS_FLOWRUPROC' AND KSQL_COL_NAME ='FREMARK') 
 ALTER TABLE T_PBS_FLOWRUPROC ADD (FREMARK NVARCHAR(2000) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PBS_FLOWRUNODE' AND KSQL_COL_NAME ='FFLOWNODEDEFID') 
 ALTER TABLE T_PBS_FLOWRUNODE ADD (FFLOWNODEDEFID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PBS_FLOWRUNODE' AND KSQL_COL_NAME ='FHANDLERTYPEID') 
 ALTER TABLE T_PBS_FLOWRUNODE ADD (FHANDLERTYPEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PBS_FLOWRUTASK' AND KSQL_COL_NAME ='FISPREINIT') 
 ALTER TABLE T_PBS_FLOWRUTASK ADD (FISPREINIT CHAR(1) DEFAULT '0' NOT NULL );
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PBS_FLOWRUPROC' AND KSQL_COL_NAME ='FSETTINGMODE') 
 ALTER TABLE T_PBS_FLOWRUPROC ADD (FSETTINGMODE VARCHAR(2) DEFAULT ' ' NOT NULL );
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PBS_FLOWRUROLE' AND KSQL_COL_NAME ='FISSETHANDLER') 
 ALTER TABLE T_PBS_FLOWRUROLE ADD (FISSETHANDLER CHAR(1) DEFAULT '0' NOT NULL );
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PBS_BATCHTASKMAP') 
 CREATE TABLE T_PBS_BATCHTASKMAP (
FID BIGINT DEFAULT 0 NOT NULL,
FBATCHTASKID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FRUTASKID BIGINT DEFAULT 0 NOT NULL,
FACTEVAOBJID BIGINT DEFAULT 0 NOT NULL
);

--修改表T_PBS_FLOWDEFROLE字段FROLENAME的长度
 EXEC p_AlterColumn 'T_PBS_FLOWDEFROLE', 'FROLENAME', 'NVARCHAR(60)', 'NOT NULL', '0100', ''' ''';
/**End D:\PDM_UPGRADE\PDM1\PBS_table.sql **/
