﻿/**Begin D:\PDM_UPGRADE\PDM1\PBS_constraint.sql **/
 EXEC P_ALTERPK 'PK_PBS_INDROLESET', 'T_PBS_INDROLESET', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_PBS_INDROLESET' AND KSQL_INDNAME = 'IDX_PBS_INDROLESET') CREATE INDEX IDX_PBS_INDROLESET ON T_PBS_INDROLESET ( FINDICATORID );


 EXEC P_ALTERPK 'PK_PBS_CROSSROLESETENTRY', 'T_PBS_CROSSROLESETENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_PBS_CROSSROLESETENTRY' AND KSQL_INDNAME = 'IDX_PBS_CROSSROLESETENTRY') CREATE INDEX IDX_PBS_CROSSROLESETENTRY ON T_PBS_CROSSROLESETENTRY ( FID );


 EXEC P_ALTERPK 'PK_PBS_FLOWRUTASKINDENTRY', 'T_PBS_FLOWRUTASKINDENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_PBS_FLOWRUTASKINDENTRY' AND KSQL_INDNAME = 'IDX_PBS_FLOWRUTASKINDENTRY') CREATE INDEX IDX_PBS_FLOWRUTASKINDENTRY ON T_PBS_FLOWRUTASKINDENTRY ( FID );


 EXEC P_ALTERPK 'PK_PBS_BATCHSTARTEVAOBJ', 'T_PBS_BATCHSTARTEVAOBJ', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_PBS_BATCHSTARTEVAOBJ' AND KSQL_INDNAME = 'IDX_PBS_BATCHSTARTEVAOBJ') CREATE INDEX IDX_PBS_BATCHSTARTEVAOBJ ON T_PBS_BATCHSTARTEVAOBJ ( FTASKTYPE );


 EXEC P_ALTERPK 'PK_PBS_BATCHSTARTENTRY', 'T_PBS_BATCHSTARTENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_PBS_BATCHSTARTENTRY' AND KSQL_INDNAME = 'IDX_PBS_BATCHSTARTENTRY') CREATE INDEX IDX_PBS_BATCHSTARTENTRY ON T_PBS_BATCHSTARTENTRY ( FID );


 EXEC P_ALTERPK 'PK_PBS_CROSSROLESET', 'T_PBS_CROSSROLESET', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_PBS_CROSSROLESET' AND KSQL_INDNAME = 'IDX_PBS_CROSSROLESET') CREATE INDEX IDX_PBS_CROSSROLESET ON T_PBS_CROSSROLESET ( FDEFROLEID );


 EXEC P_ALTERPK 'PK_PBS_RUTASKCOHANDLER', 'T_PBS_RUTASKCOHANDLER', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_PBS_RUTASKCOHANDLER' AND KSQL_INDNAME = 'IDX_PBS_RUTASKCOHANDLER') CREATE INDEX IDX_PBS_RUTASKCOHANDLER ON T_PBS_RUTASKCOHANDLER ( FID );


 EXEC P_ALTERPK 'PK_PBS_FLOWRUROLEENTRY', 'T_PBS_FLOWRUROLEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_PBS_FLOWRUROLEENTRY' AND KSQL_INDNAME = 'IDX_PBS_FLOWRUROLEENTRY') CREATE INDEX IDX_PBS_FLOWRUROLEENTRY ON T_PBS_FLOWRUROLEENTRY ( FID );
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_PBS_FLOWRUROLE' AND KSQL_INDNAME = 'IDX_PBS_FLOWRUROLEACTIVITY') CREATE INDEX IDX_PBS_FLOWRUROLEACTIVITY ON T_PBS_FLOWRUROLE ( FACTIVITYID );
/**End D:\PDM_UPGRADE\PDM1\PBS_constraint.sql **/
