﻿/**Begin D:\devtool\PDM_UPGRADE\PDM1\PBS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PBS_NORDISRULE') 
 CREATE TABLE T_PBS_NORDISRULE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(2) DEFAULT ' ' NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX INT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX INT DEFAULT 0 NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT ' ' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FISMODIFY CHAR(1) DEFAULT ' ' NOT NULL,
FCHANGEDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FHISVERSION VARCHAR(10) DEFAULT ' ' NOT NULL,
FVERSIONSOURCE VARCHAR(2) DEFAULT ' ' NOT NULL,
FINDPERFLEVELID BIGINT DEFAULT 0 NOT NULL,
FISENORGRELINDLEVEL CHAR(1) DEFAULT ' ' NOT NULL,
FORGPERFLEVELID BIGINT DEFAULT 0 NOT NULL,
FISENDEFLEVELRULE CHAR(1) DEFAULT ' ' NOT NULL,
FDEFAULTLEVELSTYLE VARCHAR(2) DEFAULT ' ' NOT NULL,
FSCORESYSTEMID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PBS_NORDISRULE_L') 
 CREATE TABLE T_PBS_NORDISRULE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PBS_ORGPERFENTRY') 
 CREATE TABLE T_PBS_ORGPERFENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLEVELNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FENTRYBOID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PBS_LEVELCONVERSENTRY') 
 CREATE TABLE T_PBS_LEVELCONVERSENTRY (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSCOREMAXOPERATION VARCHAR(2) DEFAULT ' ' NOT NULL,
FSCOREMINOPERATION VARCHAR(2) DEFAULT ' ' NOT NULL,
FMAXSCORE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FMINSCORE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSCOREDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL,
FSCORELEVEL VARCHAR(50) DEFAULT ' ' NOT NULL,
FMAXRANK INT DEFAULT 0 NOT NULL,
FMINRANK INT DEFAULT 0 NOT NULL,
FENTRYBOID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PBS_RATIORULEENTRY') 
 CREATE TABLE T_PBS_RATIORULEENTRY (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSCORELEVELS VARCHAR(150) DEFAULT ' ' NOT NULL,
FEXPTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FNUMONE INT DEFAULT 0 NOT NULL,
FOPEONE VARCHAR(2) DEFAULT ' ' NOT NULL,
FOPETWO VARCHAR(2) DEFAULT ' ' NOT NULL,
FNUMTWO INT DEFAULT 0 NOT NULL,
FENTRYBOID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PBS_ORGPERFENTRY_L') 
 CREATE TABLE T_PBS_ORGPERFENTRY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FLEVELNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PBS_LEVELCONVERSENTRY_L') 
 CREATE TABLE T_PBS_LEVELCONVERSENTRY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FSCORELEVEL NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PBS_RATIORULEENTRY_L') 
 CREATE TABLE T_PBS_RATIORULEENTRY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FSCORELEVELS NVARCHAR(150) DEFAULT ' ' NOT NULL
);



/**End D:\devtool\PDM_UPGRADE\PDM1\PBS_table.sql **/
